# Class InvalidInputException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.jdt.core.compiler.InvalidInputException

All Implemented Interfaces:
  `Serializable`

public class InvalidInputException extends Exception
Exception thrown by a scanner when encountering lexical errors.

See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`InvalidInputException()`
Creates a new exception with no detail message.
`InvalidInputException(String message)`
Creates a new exception with the given detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidInputException

public InvalidInputException()
Creates a new exception with no detail message.

### InvalidInputException

public InvalidInputException(String message)
Creates a new exception with the given detail message.

Parameters:
  `message` - the detail message